* h1, h2, h3, h4, h5{
  font-weight: 900;
}
body, html {
  height: 100%;
  line-height: 1.8;
  
}
html {
  overflow-x: hidden;
  scroll-behavior: smooth;
}

html, body {
  font-family: Verdana, sans-serif;
  font-size: 15px;
  line-height: 1.5;
}
html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
}
html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}
user agent stylesheet
:root {
  view-transition-name: root;
}
user agent stylesheet
html {
  display: block;
}
*, *:before, *:after {
  box-sizing: inherit;
}
*, *:before, *:after {
  box-sizing: inherit;
}

.banner{
  overflow: none;
  height: 30px;
}

/* Changing text */
.box{
  overflow: none;
  opacity: 0;
  position: absolute;
  width: 90%;
  text-align: left;
}

.b1{
  animation: ani1 20s infinite;
}
.b2{
  animation: ani2 20s infinite;
}
.b3{
  animation: ani3 20s infinite;
}
.b4{
  animation: ani4 20s infinite;
}

@keyframes ani1{
  0%{
    opacity: 0;
  }
  10%{
    opacity: 1;
  }
  25%{
    opacity: 0;
  }
}

@keyframes ani2{
  26%{
    opacity: 0;
  }
  36%{
    opacity: 1;
  }
  50%{
    opacity: 0;
  }
}

@keyframes ani3{
  51%{
    opacity: 0;
  }
  61%{
    opacity: 1;
  }
  75%{
    opacity: 0;
  }
}

@keyframes ani4{
  76%{
    opacity: 0;
  }
  86%{
    opacity: 1;
  }
  100%{
    opacity: 0;
  }
}


.w3-bar a{
  max-height: 90px;
  background-image: "Pictures/Wallpapers/avaxsa-logo-sm.png";
}

.w3-display-left{
  padding: 20px;
  background: rgba(0, 0, 0, 0.7);
  width: 55%;
  text-align: left;
}

.w3-bar .w3-button {
  padding: 18px;
}

/* Map Css */
.details{
  float: left;
}
.mapouter{
  float: right;
}

/* dropdown tab */
.w3-bar{
  overflow: visible;
}
  
.w3-bar-item.dropdown{
  padding: 0px;
}

.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown content */
.dropdown-content {
  display: none;
  position: absolute;
  overflow: auto;
  background-color: #f9f9f9;
  margin-top: 60px;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 90;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #b6b6b6;}

/* Show the dropdown on hover */
.dropdown:hover .dropdown-content {display: block;}
/* Back to top button CSS */

.back-to-top{
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background-color: blue;
  border-radius: 0.5rem;
  padding: 0.5rem;
  text-decoration: none;
  transition: 0.2s ease-out;
}
.back-to-top span{
  color: #fff;
  font-size: 3rem;
  transition: 0.2 ease-out;
}
.back-to-top :hover{
  background-color: aqua;
}
.back-to-top :hover span {
  transform: translateY(-4px);
}

/* Services divs and links divs */
.quarter{
  border:1px solid black;
  border-radius: 10px;
  width: 19.9999%;
  float: inline-start;
  padding: 3%;
  margin-left: 2.5%;
  margin-right: 2.5%;
  transition: transform 0.3s, height 0.3s; /* Smooth transition */
  overflow: hidden; /* Hide button initially */
  align-items: center;
  display: flex;
  flex-direction: column;
}

/* Hidden button style */
.quarter button {
  display: none; /* Hide button initially */
  padding: 10px 20px;
  background-color: #000000; /* Red */
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  transition: opacity 0.3s; /* Smooth transition for visibility */
}

/* Hover effect for the container */


.quarter button:hover {
  background-color: #3c36f4;
}

/* Hover effect to show the button */
.quarter:hover button {
  display: block; /* Show the button */
  opacity: 1; /* Make the button fully visible */
}

.w3-button:hover {
  background-color: #3c36f4;
  z-index: 90;
}

.w3-center{
  padding-left: 30px;
  padding-right: 30px;
}

/* Css for fading text */

.char{
  animation: an 1s ease-out 1 both;
  display: inline-block;
}

@keyframes an{
  from{
      opacity: 0;
      transform: perspective(500px) translate3d(-35px, -40px, -150px) rotate3d(1, -1, 0, 35deg);
  }
  to{
      opacity: 1;
      transform: perspective(500px) translate3d(0, 0, 0);
  }
}

@media (max-width: 950px) {
  .quarter {
    width: 90%;
    margin-left: 0%;
    margin-right: 0%;
    margin-bottom: 10%;
    float: none;
  }
  .services-container{
    align-items: center;
    justify-content: center;
    padding: 0%;
  }
  .w3-row-padding{
    margin-left: 10%;
  }
}

@media (max-width: 601px) {
  .w3-col.m3, .w3-quarter {
    width: 90%;
  }

  .w3-row-padding{
    margin-left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  .w3-quarter{
    margin: 8px;
  }

  .w3-col{
    margin-bottom: 12px;
  }

  .mapouter{
    width: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
  }

  .gmap_canvas{
    width: 400px;
  }

  .gmap_canvas iframe{
    width: 300px;
    height: 200px;
  }
  .w3-margin-top {
    margin-top: 40px !important;
  }
  .w3-xxlarge {
    font-size: 25px !important;
  }
  .w3-center {
    padding-left: 10px; 
    padding-right: 10px; 
  }
}

@media (max-width: 382px) {
  .animate {
    font-size: 20px  !important;
  }
}